package ru.amse.javadependencies.zhukova.data;

import ru.amse.javadependencies.zhukova.data.dependencies.IPackageDependency;
import ru.amse.javadependencies.zhukova.data.dependencies.IClassDependency;
import ru.amse.javadependencies.zhukova.data.dependencies.IFeatureDependency;

import java.util.Set;

/**
 * @author Anna R. Zhukova
 */
public interface IJavaElement {

    public String getName();

    public String getFullName();

    public Set<IClassDependency> getClassDependencies();

    public Set<IPackageDependency> getPackageDependencies();

    public boolean addClassDependency(IClassDependency classDependency);
}
