package ru.amse.javadependencies.zhukova.ui.graphpane;

import ru.amse.javadependencies.zhukova.model.IVertex;
import ru.amse.javadependencies.zhukova.model.impl.GraphModel;
import ru.amse.javadependencies.zhukova.model.IGraphModel;
import ru.amse.javadependencies.zhukova.ui.undo.IUndoManager;
import ru.amse.javadependencies.zhukova.ui.graphpane.tools.Tool;

import java.awt.*;
import java.util.Set;

/**
 * @author Anna R. Zhukova
 */
public interface IGraphPane {

    void checkPoint(Point p);

    void deselectVertices();

    void selectVertex(IVertex v);

    void setGraphModel(GraphModel gr, IUndoManager undoManager);

    IGraphModel getGraphModel();

    Set<IVertex> getSelectedVertices();

    void setTool(Tool tool);
}
